<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPCompareContentHelper cpCompareContentHelper = (CPCompareContentHelper)request.getAttribute(CPContentWebKeys.CP_COMPARE_CONTENT_HELPER);

CommerceContext commerceContext = (CommerceContext)request.getAttribute(CommerceWebKeys.COMMERCE_CONTEXT);

long commerceAccountId = CommerceUtil.getCommerceAccountId(commerceContext);

List<CPCatalogEntry> cpCatalogEntries = cpCompareContentHelper.getCPCatalogEntries(commerceContext.getCommerceChannelGroupId(), commerceAccountId, request);
%>

<div id="mini-compare-root"></div>

<aui:script require="commerce-frontend-js/components/mini_compare/entry as MiniCompare">
	MiniCompare.default('mini-compare', 'mini-compare-root', {
		commerceChannelGroupId:
			'<%= commerceContext.getCommerceChannelGroupId() %>',
		compareProductsURL:
			'<%= cpCompareContentHelper.getCompareProductsURL(themeDisplay) %>',
		items: [

			<%
			for (CPCatalogEntry cpCatalogEntry : cpCatalogEntries) {
			%>

				{
					id: '<%= cpCatalogEntry.getCPDefinitionId() %>',
					thumbnail:
						'<%= cpCompareContentHelper.getDefaultImageFileURL(commerceAccountId, cpCatalogEntry.getCPDefinitionId()) %>',
				},

			<%
			}
			%>

		],
		itemsLimit: <%= cpCompareContentHelper.getProductsLimit(portletDisplay) %>,
		portletNamespace:
			'<%= cpCompareContentHelper.getCompareContentPortletNamespace() %>',
		spritemap: '<%= FrontendIconsUtil.getSpritemap(themeDisplay) %>',
	});
</aui:script>